MINTPY-SAVE_KITE(1)

NAME
mintpy-save_kite - Generate KITE (https://github.com/pyrocko/kite) npz and yaml from MintPy HDF5 file.

DESCRIPTION
usage: save_kite.py [-h] -d DSET [-g GEOM_FILE] [-m MASK_FILE] [-o OUTFILE]

[--sub-x XMIN XMAX] [--sub-y YMIN YMAX]
    [--sub-lat LATMIN LATMAX] [--sub-lon LONMIN LONMAX] file

Generate KITE (https://github.com/pyrocko/kite) npz and yaml from MintPy HDF5 file.

  positional arguments:

file
    file to be converted, in geo coordinate.

  options:

-h, --help
    show this help message and exit

-d DSET, --dset DSET, --dataset DSET
    dataset of interest to be converted. e.g.: velocity / stepYYYYMMDD for velocity HDF5 file,

date12 in YYYYMMDD_YYYYMMDD for time-series HDF5 file,
    date12 in unwrapPhase-YYYYMMDD_YYYYMMDD for ifgramStack HDF5 file.

-g GEOM_FILE, --geom GEOM_FILE
    geometry file for incidence /azimuth angle and height.

-m MASK_FILE, --mask MASK_FILE
    mask file, or run mask.py to mask the input file beforehand.

-o OUTFILE, --output OUTFILE
    output filename

  Subset:

    Display dataset in subset range

--sub-x XMIN XMAX, --subx XMIN XMAX, --subset-x XMIN XMAX
    subset display in x/cross-track/range direction

--sub-y YMIN YMAX, --suby YMIN YMAX, --subset-y YMIN YMAX
    subset display in y/along-track/azimuth direction

--sub-lat LATMIN LATMAX, --sublat LATMIN LATMAX, --subset-lat LATMIN LATMAX
    subset display in latitude

--sub-lon LONMIN LONMAX, --sublon LONMIN LONMAX, --subset-lon LONMIN LONMAX
    subset display in longitude

  example:

    ## displacement [event-type inversion] # option 1: use velocity file with step estimation from timeseries2velocity.py for co-seismic displacement save_kite.py geo/geo_velocity.h5 -d step20210104 -g geo/geo_geometry.h5 -m geo/geo_maskTempCoh.h5 -o dsc

    # option 2: use time-series / ifgramStack file with date1_date2 for the transient displacement: save_kite.py geo/geo_timeseries_ERA5_ramp_demErr.h5 -d 20101120_20110220 -g geo/geo_geometry.h5 -m geo/geo_maskTempCoh.h5 -o dsc save_kite.py geo/geo_ifgramStack.h5 -d unwrapPhase-20101120_20110220 -g geo/geo_geometry.h5 -m geo/geo_maskTempCoh.h5 -o dsc

    ## velocity [interseismic or tensile dislocation inversion] # https://pyrocko.org/beat/docs/current/examples/Rectangular_tensile.html save_kite.py geo/geo_velocity.h5 -d velocity -g geo/geo_geometry.h5 -m geo/geo_maskTempCoh.h5 -o dsc

    ## import to kite spool outfile_name % /do quadtree,covariance/aps and then File>Save Scene and it is ready for GROND or BEAT